%% Constants

global p_out T v_l rho_l MMASS mu_l g Ncomp...
    FRAC_Gin d_c H D_l sig db_in w_in R St zMAX w_0


% Initial Data
T      = 25+273;           % [K]
p_out  = 1e5;              % [Pa]
v_l    = 1e-30;            % [m/s]
w_in   = [0.02 0.02 0.01];    % [m/s] 
w_0    = 0;
Ncomp  = 2;
St     = 3;   % Number of different systems; clean, partly cont., contaminated
zMAX   = 2;   % Length of tube

% Initial Mass Fraction [kg/kg]

% Gas
FRAC_Gin(1) = 0.21;        % O2
FRAC_Gin(2) = 0.79;        % N2
% FRAC_Gin(1) = 0.4;        % O2
% FRAC_Gin(2) = 0.6;        % N2

% Molemass of the Components [kg/mol]
MMASS(1)   = 32.00e-3;      % O2
MMASS(2)   = 28.01e-3;      % N2


% At (25 degrees, 1 atm)
mu_l   = 8.91e-4;           % Viscosity water, [Pa*s] %%%% Finn properties ved 1 bar %%%%
rho_l  = 997.13;            % Density water, [kg/m^3]


% Diameters
d_c   = 0.14;     % Diameter column [m]
db_in = 1e-3;     % Inital bubble diameter [m]

sig = 0.072;      % Surface tension [N/m] Engineering toolbox
g   = 9.80665;    % Gravitational constant [m/s^2] 
R   = 8.314459;   % Universal gas constant [m^3 Pa/mol*K]


% Henry's constant [m^3 Pa/mol], at 298K, 1 atm
H(1) = 769e2;      % O2
H(2) = 1562.5e2;   % N2 

 
% Diffusion coefficient [m^2/s] % 298K, 1atm
D_l = [2.1e-9 2.01e-9]; % Diffusion coefficient (O2, N2)

 