% Heat capasity coefficients for the components 
% Source: NIST Chemistry WebBook http://webbook.nist.gov
%------------------------------------------------------------------------

CP(1,1) = -0.7030295;               % 1. coefficient for CH4   [J/moleK]
CP(1,2) = 108.4773;                 % 2. coefficient for CH4   [J/moleK^2]
CP(1,3) = -42.52157;                % 3. coefficient for CH4   [J/moleK^3]
CP(1,4) = 5.862788;                 % 4. coefficient for CH4   [J/moleK^4]
 
CP(2,1) = 31.32234;                 % 1. coefficient for O2   [J/moleK] 
CP(2,2) = -20.23531;                % 2. coefficient for O2   [J/moleK^2]
CP(2,3) = 57.86644;                 % 3. coefficient for O2   [J/moleK^3]
CP(2,4) = -36.50624;                % 4. coefficient for O2   [J/moleK^4]
 
CP(3,1) = 19.99563;                 % 1. coefficient for NH3   [J/moleK]
CP(3,2) = 49.77119;                 % 2. coefficient for NH3   [J/moleK^2]
CP(3,3) = -15.37599;                % 3. coefficient for NH3   [J/moleK^3]
CP(3,4) = 1.921168;                 % 4. coefficient for NH3   [J/moleK^4]
 
CP(4,1) = 24.99735;                 % 1. coefficient for CO2   [J/moleK]
CP(4,2) = 55.18696;                 % 2. coefficient for CO2   [J/moleK^2]
CP(4,3) = -33.69137;                % 3. coefficient for CO2   [J/moleK^3]
CP(4,4) = 7.948387;                 % 4. coefficient for CO2   [J/moleK^4]
 
% Assumed to be the same as the Cp of water 
CP(5,1) = -203.6060;                % 1. coefficient for X  [J/moleK]
CP(5,2) = 1523.290;                 % 2. coefficient for X  [J/moleK^2]
CP(5,3) = -3196.413;                % 3. coefficient for X  [J/moleK^3]
CP(5,4) = 2474.455;                 % 4. coefficient for X  [J/moleK^4]
 
CP(6,1) = 28.98641;                 % 1. coefficient for N2    [J/moleK]
CP(6,2) = 1.853978;                 % 2. coefficient for N2    [J/moleK^2]
CP(6,3) = -9.647459;                % 3. coefficient for N2    [J/moleK^3]
CP(6,4) = 16.63537;                 % 4. coefficient for N2    [J/moleK^4]
 
CP(7,1) = -203.6060;                % 1. coefficient for H2O   [J/moleK]          
CP(7,2) = 1523.290;                 % 2. coefficient for H2O   [J/moleK^2]
CP(7,3) = -3196.413;                % 3. coefficient for H2O   [J/moleK^3]
CP(7,4) = 2474.455;                 % 4. coefficient for H2O   [J/moleK^4]