% Calculating the mixture heat capacity of the gas and liquid phase 
function [CP_l, CP_g] = heatcapacity(Tg, Tl, wl, wg)
global CP MMASS Nz Ncomp

% Heat capasity for each component 
% Liquid Phase  
CP_cl = ones(Nz, Ncomp);
for k = 1:Ncomp
    for i = 1:Nz
        CP_cl(i,k) = (CP(k,1) + CP(k,2)*(Tl(i)/1000) +...
            CP(k,3)*(Tl(i)/1000)^2+...
            CP(k,4)*(Tl(i)/1000)^3)/MMASS(k);        
    end
end
                                             
% Gas Phase
CP_cg = ones(Nz, Ncomp);
for k = 1:Ncomp
    for i = 1:Nz
        CP_cg(i,k) = (CP(k,1) + CP(k,2)*(Tg(i)/1000) +...
            CP(k,3)*(Tg(i)/1000)^2+...
            CP(k,4)*(Tg(i)/1000)^3)/MMASS(k);        
    end
end

% Heat capacity of the mixture

CP_l   = CP_cl(:,3) .* wl(:,3) + CP_cl(:,5) .* wl(:,5)+...
         CP_cl(:,6) .* wl(:,6);  
CP_g   = CP_cg(:,1) .* wg(:,1) + CP_cg(:,2) .* wg(:,2) + ...
         CP_cg(:,4) .* wg(:,4);
     
end