
function [kL] = masstransfercoeff(rho_G)

global rho_l mu_l D_l g Nz

delta_rho = rho_l - rho_G;
Nsc       = mu_l./(rho_l*D_l);

% Mass transfer coefficient
k_L = ones(Nz,3);
for k = 1:3
    k_L(:,k) = 0.42 * (mu_l*g*delta_rho/(rho_l^2)).^(1/3)...
        .* Nsc(k).^(-1/2);
end

kL = [k_L(:,1) k_L(:,2) 10e-40*ones(Nz,1) k_L(:,3)...
      10e-40*ones(Nz,1) 10e-40*ones(Nz,1)];
